//#line 2 "/opt/ros/noetic/share/dynamic_reconfigure/cmake/../templates/ConfigType.h.template"
// *********************************************************
//
// File autogenerated for the depthai_ros_driver package
// by the dynamic_reconfigure package.
// Please do not edit.
//
// ********************************************************/

#ifndef __depthai_ros_driver__PARAMETERSCONFIG_H__
#define __depthai_ros_driver__PARAMETERSCONFIG_H__

#if __cplusplus >= 201103L
#define DYNAMIC_RECONFIGURE_FINAL final
#else
#define DYNAMIC_RECONFIGURE_FINAL
#endif

#include <dynamic_reconfigure/config_tools.h>
#include <limits>
#include <ros/node_handle.h>
#include <dynamic_reconfigure/ConfigDescription.h>
#include <dynamic_reconfigure/ParamDescription.h>
#include <dynamic_reconfigure/Group.h>
#include <dynamic_reconfigure/config_init_mutex.h>
#include <boost/any.hpp>

namespace depthai_ros_driver
{
  class parametersConfigStatics;

  class parametersConfig
  {
  public:
    class AbstractParamDescription : public dynamic_reconfigure::ParamDescription
    {
    public:
      AbstractParamDescription(std::string n, std::string t, uint32_t l,
          std::string d, std::string e)
      {
        name = n;
        type = t;
        level = l;
        description = d;
        edit_method = e;
      }
      virtual ~AbstractParamDescription() = default;

      virtual void clamp(parametersConfig &config, const parametersConfig &max, const parametersConfig &min) const = 0;
      virtual void calcLevel(uint32_t &level, const parametersConfig &config1, const parametersConfig &config2) const = 0;
      virtual void fromServer(const ros::NodeHandle &nh, parametersConfig &config) const = 0;
      virtual void toServer(const ros::NodeHandle &nh, const parametersConfig &config) const = 0;
      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, parametersConfig &config) const = 0;
      virtual void toMessage(dynamic_reconfigure::Config &msg, const parametersConfig &config) const = 0;
      virtual void getValue(const parametersConfig &config, boost::any &val) const = 0;
    };

    typedef boost::shared_ptr<AbstractParamDescription> AbstractParamDescriptionPtr;
    typedef boost::shared_ptr<const AbstractParamDescription> AbstractParamDescriptionConstPtr;

    // Final keyword added to class because it has virtual methods and inherits
    // from a class with a non-virtual destructor.
    template <class T>
    class ParamDescription DYNAMIC_RECONFIGURE_FINAL : public AbstractParamDescription
    {
    public:
      ParamDescription(std::string a_name, std::string a_type, uint32_t a_level,
          std::string a_description, std::string a_edit_method, T parametersConfig::* a_f) :
        AbstractParamDescription(a_name, a_type, a_level, a_description, a_edit_method),
        field(a_f)
      {}

      T parametersConfig::* field;

      virtual void clamp(parametersConfig &config, const parametersConfig &max, const parametersConfig &min) const override
      {
        if (config.*field > max.*field)
          config.*field = max.*field;

        if (config.*field < min.*field)
          config.*field = min.*field;
      }

      virtual void calcLevel(uint32_t &comb_level, const parametersConfig &config1, const parametersConfig &config2) const override
      {
        if (config1.*field != config2.*field)
          comb_level |= level;
      }

      virtual void fromServer(const ros::NodeHandle &nh, parametersConfig &config) const override
      {
        nh.getParam(name, config.*field);
      }

      virtual void toServer(const ros::NodeHandle &nh, const parametersConfig &config) const override
      {
        nh.setParam(name, config.*field);
      }

      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, parametersConfig &config) const override
      {
        return dynamic_reconfigure::ConfigTools::getParameter(msg, name, config.*field);
      }

      virtual void toMessage(dynamic_reconfigure::Config &msg, const parametersConfig &config) const override
      {
        dynamic_reconfigure::ConfigTools::appendParameter(msg, name, config.*field);
      }

      virtual void getValue(const parametersConfig &config, boost::any &val) const override
      {
        val = config.*field;
      }
    };

    class AbstractGroupDescription : public dynamic_reconfigure::Group
    {
      public:
      AbstractGroupDescription(std::string n, std::string t, int p, int i, bool s)
      {
        name = n;
        type = t;
        parent = p;
        state = s;
        id = i;
      }

      virtual ~AbstractGroupDescription() = default;

      std::vector<AbstractParamDescriptionConstPtr> abstract_parameters;
      bool state;

      virtual void toMessage(dynamic_reconfigure::Config &msg, const boost::any &config) const = 0;
      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, boost::any &config) const =0;
      virtual void updateParams(boost::any &cfg, parametersConfig &top) const= 0;
      virtual void setInitialState(boost::any &cfg) const = 0;


      void convertParams()
      {
        for(std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = abstract_parameters.begin(); i != abstract_parameters.end(); ++i)
        {
          parameters.push_back(dynamic_reconfigure::ParamDescription(**i));
        }
      }
    };

    typedef boost::shared_ptr<AbstractGroupDescription> AbstractGroupDescriptionPtr;
    typedef boost::shared_ptr<const AbstractGroupDescription> AbstractGroupDescriptionConstPtr;

    // Final keyword added to class because it has virtual methods and inherits
    // from a class with a non-virtual destructor.
    template<class T, class PT>
    class GroupDescription DYNAMIC_RECONFIGURE_FINAL : public AbstractGroupDescription
    {
    public:
      GroupDescription(std::string a_name, std::string a_type, int a_parent, int a_id, bool a_s, T PT::* a_f) : AbstractGroupDescription(a_name, a_type, a_parent, a_id, a_s), field(a_f)
      {
      }

      GroupDescription(const GroupDescription<T, PT>& g): AbstractGroupDescription(g.name, g.type, g.parent, g.id, g.state), field(g.field), groups(g.groups)
      {
        parameters = g.parameters;
        abstract_parameters = g.abstract_parameters;
      }

      virtual bool fromMessage(const dynamic_reconfigure::Config &msg, boost::any &cfg) const override
      {
        PT* config = boost::any_cast<PT*>(cfg);
        if(!dynamic_reconfigure::ConfigTools::getGroupState(msg, name, (*config).*field))
          return false;

        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); ++i)
        {
          boost::any n = &((*config).*field);
          if(!(*i)->fromMessage(msg, n))
            return false;
        }

        return true;
      }

      virtual void setInitialState(boost::any &cfg) const override
      {
        PT* config = boost::any_cast<PT*>(cfg);
        T* group = &((*config).*field);
        group->state = state;

        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); ++i)
        {
          boost::any n = boost::any(&((*config).*field));
          (*i)->setInitialState(n);
        }

      }

      virtual void updateParams(boost::any &cfg, parametersConfig &top) const override
      {
        PT* config = boost::any_cast<PT*>(cfg);

        T* f = &((*config).*field);
        f->setParams(top, abstract_parameters);

        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); ++i)
        {
          boost::any n = &((*config).*field);
          (*i)->updateParams(n, top);
        }
      }

      virtual void toMessage(dynamic_reconfigure::Config &msg, const boost::any &cfg) const override
      {
        const PT config = boost::any_cast<PT>(cfg);
        dynamic_reconfigure::ConfigTools::appendGroup<T>(msg, name, id, parent, config.*field);

        for(std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = groups.begin(); i != groups.end(); ++i)
        {
          (*i)->toMessage(msg, config.*field);
        }
      }

      T PT::* field;
      std::vector<parametersConfig::AbstractGroupDescriptionConstPtr> groups;
    };

class DEFAULT
{
  public:
    DEFAULT()
    {
      state = true;
      name = "Default";
    }

    void setParams(parametersConfig &config, const std::vector<AbstractParamDescriptionConstPtr> params)
    {
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator _i = params.begin(); _i != params.end(); ++_i)
      {
        boost::any val;
        (*_i)->getValue(config, val);


      }
    }

    

    bool state;
    std::string name;

    class CAMERA
{
  public:
    CAMERA()
    {
      state = true;
      name = "camera";
    }

    void setParams(parametersConfig &config, const std::vector<AbstractParamDescriptionConstPtr> params)
    {
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator _i = params.begin(); _i != params.end(); ++_i)
      {
        boost::any val;
        (*_i)->getValue(config, val);

        if("camera_i_enable_ir"==(*_i)->name){camera_i_enable_ir = boost::any_cast<bool>(val);}
        if("camera_i_floodlight_brightness"==(*_i)->name){camera_i_floodlight_brightness = boost::any_cast<double>(val);}
        if("camera_i_laser_dot_brightness"==(*_i)->name){camera_i_laser_dot_brightness = boost::any_cast<double>(val);}
        if("left_r_keep_preview_aspect_ratio"==(*_i)->name){left_r_keep_preview_aspect_ratio = boost::any_cast<bool>(val);}
        if("left_r_exposure"==(*_i)->name){left_r_exposure = boost::any_cast<int>(val);}
        if("left_r_focus"==(*_i)->name){left_r_focus = boost::any_cast<int>(val);}
        if("left_r_iso"==(*_i)->name){left_r_iso = boost::any_cast<int>(val);}
        if("left_r_set_man_exposure"==(*_i)->name){left_r_set_man_exposure = boost::any_cast<bool>(val);}
        if("left_r_set_man_focus"==(*_i)->name){left_r_set_man_focus = boost::any_cast<bool>(val);}
        if("left_r_set_man_whitebalance"==(*_i)->name){left_r_set_man_whitebalance = boost::any_cast<bool>(val);}
        if("left_r_whitebalance"==(*_i)->name){left_r_whitebalance = boost::any_cast<int>(val);}
        if("right_r_keep_preview_aspect_ratio"==(*_i)->name){right_r_keep_preview_aspect_ratio = boost::any_cast<bool>(val);}
        if("right_r_exposure"==(*_i)->name){right_r_exposure = boost::any_cast<int>(val);}
        if("right_r_focus"==(*_i)->name){right_r_focus = boost::any_cast<int>(val);}
        if("right_r_iso"==(*_i)->name){right_r_iso = boost::any_cast<int>(val);}
        if("right_r_set_man_exposure"==(*_i)->name){right_r_set_man_exposure = boost::any_cast<bool>(val);}
        if("right_r_set_man_focus"==(*_i)->name){right_r_set_man_focus = boost::any_cast<bool>(val);}
        if("right_r_set_man_whitebalance"==(*_i)->name){right_r_set_man_whitebalance = boost::any_cast<bool>(val);}
        if("right_r_whitebalance"==(*_i)->name){right_r_whitebalance = boost::any_cast<int>(val);}
        if("rgb_r_keep_preview_aspect_ratio"==(*_i)->name){rgb_r_keep_preview_aspect_ratio = boost::any_cast<bool>(val);}
        if("rgb_r_exposure"==(*_i)->name){rgb_r_exposure = boost::any_cast<int>(val);}
        if("rgb_r_focus"==(*_i)->name){rgb_r_focus = boost::any_cast<int>(val);}
        if("rgb_r_iso"==(*_i)->name){rgb_r_iso = boost::any_cast<int>(val);}
        if("rgb_r_set_man_exposure"==(*_i)->name){rgb_r_set_man_exposure = boost::any_cast<bool>(val);}
        if("rgb_r_set_man_focus"==(*_i)->name){rgb_r_set_man_focus = boost::any_cast<bool>(val);}
        if("rgb_r_set_man_whitebalance"==(*_i)->name){rgb_r_set_man_whitebalance = boost::any_cast<bool>(val);}
        if("rgb_r_whitebalance"==(*_i)->name){rgb_r_whitebalance = boost::any_cast<int>(val);}
      }
    }

    bool camera_i_enable_ir;
double camera_i_floodlight_brightness;
double camera_i_laser_dot_brightness;
bool left_r_keep_preview_aspect_ratio;
int left_r_exposure;
int left_r_focus;
int left_r_iso;
bool left_r_set_man_exposure;
bool left_r_set_man_focus;
bool left_r_set_man_whitebalance;
int left_r_whitebalance;
bool right_r_keep_preview_aspect_ratio;
int right_r_exposure;
int right_r_focus;
int right_r_iso;
bool right_r_set_man_exposure;
bool right_r_set_man_focus;
bool right_r_set_man_whitebalance;
int right_r_whitebalance;
bool rgb_r_keep_preview_aspect_ratio;
int rgb_r_exposure;
int rgb_r_focus;
int rgb_r_iso;
bool rgb_r_set_man_exposure;
bool rgb_r_set_man_focus;
bool rgb_r_set_man_whitebalance;
int rgb_r_whitebalance;

    bool state;
    std::string name;

    
}camera;

}groups;



//#line 13 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      bool camera_i_enable_ir;
//#line 14 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      double camera_i_floodlight_brightness;
//#line 15 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      double camera_i_laser_dot_brightness;
//#line 16 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      bool left_r_keep_preview_aspect_ratio;
//#line 17 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      int left_r_exposure;
//#line 18 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      int left_r_focus;
//#line 19 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      int left_r_iso;
//#line 20 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      bool left_r_set_man_exposure;
//#line 21 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      bool left_r_set_man_focus;
//#line 22 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      bool left_r_set_man_whitebalance;
//#line 23 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      int left_r_whitebalance;
//#line 25 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      bool right_r_keep_preview_aspect_ratio;
//#line 26 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      int right_r_exposure;
//#line 27 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      int right_r_focus;
//#line 28 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      int right_r_iso;
//#line 29 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      bool right_r_set_man_exposure;
//#line 30 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      bool right_r_set_man_focus;
//#line 31 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      bool right_r_set_man_whitebalance;
//#line 32 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      int right_r_whitebalance;
//#line 34 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      bool rgb_r_keep_preview_aspect_ratio;
//#line 35 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      int rgb_r_exposure;
//#line 36 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      int rgb_r_focus;
//#line 37 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      int rgb_r_iso;
//#line 38 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      bool rgb_r_set_man_exposure;
//#line 39 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      bool rgb_r_set_man_focus;
//#line 40 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      bool rgb_r_set_man_whitebalance;
//#line 41 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      int rgb_r_whitebalance;
//#line 231 "/opt/ros/noetic/share/dynamic_reconfigure/cmake/../templates/ConfigType.h.template"

    bool __fromMessage__(dynamic_reconfigure::Config &msg)
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__ = __getGroupDescriptions__();

      int count = 0;
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        if ((*i)->fromMessage(msg, *this))
          count++;

      for (std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); i ++)
      {
        if ((*i)->id == 0)
        {
          boost::any n = boost::any(this);
          (*i)->updateParams(n, *this);
          (*i)->fromMessage(msg, n);
        }
      }

      if (count != dynamic_reconfigure::ConfigTools::size(msg))
      {
        ROS_ERROR("parametersConfig::__fromMessage__ called with an unexpected parameter.");
        ROS_ERROR("Booleans:");
        for (unsigned int i = 0; i < msg.bools.size(); i++)
          ROS_ERROR("  %s", msg.bools[i].name.c_str());
        ROS_ERROR("Integers:");
        for (unsigned int i = 0; i < msg.ints.size(); i++)
          ROS_ERROR("  %s", msg.ints[i].name.c_str());
        ROS_ERROR("Doubles:");
        for (unsigned int i = 0; i < msg.doubles.size(); i++)
          ROS_ERROR("  %s", msg.doubles[i].name.c_str());
        ROS_ERROR("Strings:");
        for (unsigned int i = 0; i < msg.strs.size(); i++)
          ROS_ERROR("  %s", msg.strs[i].name.c_str());
        // @todo Check that there are no duplicates. Make this error more
        // explicit.
        return false;
      }
      return true;
    }

    // This version of __toMessage__ is used during initialization of
    // statics when __getParamDescriptions__ can't be called yet.
    void __toMessage__(dynamic_reconfigure::Config &msg, const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__, const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__) const
    {
      dynamic_reconfigure::ConfigTools::clear(msg);
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        (*i)->toMessage(msg, *this);

      for (std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); ++i)
      {
        if((*i)->id == 0)
        {
          (*i)->toMessage(msg, *this);
        }
      }
    }

    void __toMessage__(dynamic_reconfigure::Config &msg) const
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__ = __getGroupDescriptions__();
      __toMessage__(msg, __param_descriptions__, __group_descriptions__);
    }

    void __toServer__(const ros::NodeHandle &nh) const
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        (*i)->toServer(nh, *this);
    }

    void __fromServer__(const ros::NodeHandle &nh)
    {
      static bool setup=false;

      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        (*i)->fromServer(nh, *this);

      const std::vector<AbstractGroupDescriptionConstPtr> &__group_descriptions__ = __getGroupDescriptions__();
      for (std::vector<AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); i++){
        if (!setup && (*i)->id == 0) {
          setup = true;
          boost::any n = boost::any(this);
          (*i)->setInitialState(n);
        }
      }
    }

    void __clamp__()
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      const parametersConfig &__max__ = __getMax__();
      const parametersConfig &__min__ = __getMin__();
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        (*i)->clamp(*this, __max__, __min__);
    }

    uint32_t __level__(const parametersConfig &config) const
    {
      const std::vector<AbstractParamDescriptionConstPtr> &__param_descriptions__ = __getParamDescriptions__();
      uint32_t level = 0;
      for (std::vector<AbstractParamDescriptionConstPtr>::const_iterator i = __param_descriptions__.begin(); i != __param_descriptions__.end(); ++i)
        (*i)->calcLevel(level, config, *this);
      return level;
    }

    static const dynamic_reconfigure::ConfigDescription &__getDescriptionMessage__();
    static const parametersConfig &__getDefault__();
    static const parametersConfig &__getMax__();
    static const parametersConfig &__getMin__();
    static const std::vector<AbstractParamDescriptionConstPtr> &__getParamDescriptions__();
    static const std::vector<AbstractGroupDescriptionConstPtr> &__getGroupDescriptions__();

  private:
    static const parametersConfigStatics *__get_statics__();
  };

  template <> // Max and min are ignored for strings.
  inline void parametersConfig::ParamDescription<std::string>::clamp(parametersConfig &config, const parametersConfig &max, const parametersConfig &min) const
  {
    (void) config;
    (void) min;
    (void) max;
    return;
  }

  class parametersConfigStatics
  {
    friend class parametersConfig;

    parametersConfigStatics()
    {
parametersConfig::GroupDescription<parametersConfig::DEFAULT, parametersConfig> Default("Default", "", 0, 0, true, &parametersConfig::groups);
parametersConfig::GroupDescription<parametersConfig::DEFAULT::CAMERA, parametersConfig::DEFAULT> camera("camera", "", 0, 1, true, &parametersConfig::DEFAULT::camera);
//#line 13 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.camera_i_enable_ir = 0;
//#line 13 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.camera_i_enable_ir = 1;
//#line 13 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.camera_i_enable_ir = 1;
//#line 13 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("camera_i_enable_ir", "bool", 0, "Enabling IR", "", &parametersConfig::camera_i_enable_ir)));
//#line 13 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("camera_i_enable_ir", "bool", 0, "Enabling IR", "", &parametersConfig::camera_i_enable_ir)));
//#line 14 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.camera_i_floodlight_brightness = 0.0;
//#line 14 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.camera_i_floodlight_brightness = 1500.0;
//#line 14 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.camera_i_floodlight_brightness = 0.0;
//#line 14 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<double>("camera_i_floodlight_brightness", "double", 0, "Floodlight brightness", "", &parametersConfig::camera_i_floodlight_brightness)));
//#line 14 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<double>("camera_i_floodlight_brightness", "double", 0, "Floodlight brightness", "", &parametersConfig::camera_i_floodlight_brightness)));
//#line 15 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.camera_i_laser_dot_brightness = 0.0;
//#line 15 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.camera_i_laser_dot_brightness = 1200.0;
//#line 15 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.camera_i_laser_dot_brightness = 800.0;
//#line 15 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<double>("camera_i_laser_dot_brightness", "double", 0, "Laser dot brightness", "", &parametersConfig::camera_i_laser_dot_brightness)));
//#line 15 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<double>("camera_i_laser_dot_brightness", "double", 0, "Laser dot brightness", "", &parametersConfig::camera_i_laser_dot_brightness)));
//#line 16 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.left_r_keep_preview_aspect_ratio = 0;
//#line 16 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.left_r_keep_preview_aspect_ratio = 1;
//#line 16 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.left_r_keep_preview_aspect_ratio = 1;
//#line 16 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("left_r_keep_preview_aspect_ratio", "bool", 0, "Keep preview aspect ratio", "", &parametersConfig::left_r_keep_preview_aspect_ratio)));
//#line 16 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("left_r_keep_preview_aspect_ratio", "bool", 0, "Keep preview aspect ratio", "", &parametersConfig::left_r_keep_preview_aspect_ratio)));
//#line 17 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.left_r_exposure = 1;
//#line 17 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.left_r_exposure = 33000;
//#line 17 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.left_r_exposure = 1000;
//#line 17 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("left_r_exposure", "int", 0, "Sensor exposure", "", &parametersConfig::left_r_exposure)));
//#line 17 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("left_r_exposure", "int", 0, "Sensor exposure", "", &parametersConfig::left_r_exposure)));
//#line 18 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.left_r_focus = 0;
//#line 18 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.left_r_focus = 255;
//#line 18 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.left_r_focus = 1;
//#line 18 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("left_r_focus", "int", 0, "Focus", "", &parametersConfig::left_r_focus)));
//#line 18 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("left_r_focus", "int", 0, "Focus", "", &parametersConfig::left_r_focus)));
//#line 19 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.left_r_iso = 100;
//#line 19 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.left_r_iso = 1600;
//#line 19 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.left_r_iso = 800;
//#line 19 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("left_r_iso", "int", 0, "Sensor iso", "", &parametersConfig::left_r_iso)));
//#line 19 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("left_r_iso", "int", 0, "Sensor iso", "", &parametersConfig::left_r_iso)));
//#line 20 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.left_r_set_man_exposure = 0;
//#line 20 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.left_r_set_man_exposure = 1;
//#line 20 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.left_r_set_man_exposure = 0;
//#line 20 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("left_r_set_man_exposure", "bool", 0, "Enable manual exposure", "", &parametersConfig::left_r_set_man_exposure)));
//#line 20 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("left_r_set_man_exposure", "bool", 0, "Enable manual exposure", "", &parametersConfig::left_r_set_man_exposure)));
//#line 21 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.left_r_set_man_focus = 0;
//#line 21 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.left_r_set_man_focus = 1;
//#line 21 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.left_r_set_man_focus = 0;
//#line 21 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("left_r_set_man_focus", "bool", 0, "Enable manual focus", "", &parametersConfig::left_r_set_man_focus)));
//#line 21 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("left_r_set_man_focus", "bool", 0, "Enable manual focus", "", &parametersConfig::left_r_set_man_focus)));
//#line 22 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.left_r_set_man_whitebalance = 0;
//#line 22 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.left_r_set_man_whitebalance = 1;
//#line 22 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.left_r_set_man_whitebalance = 0;
//#line 22 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("left_r_set_man_whitebalance", "bool", 0, "Enable manual whitebalance", "", &parametersConfig::left_r_set_man_whitebalance)));
//#line 22 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("left_r_set_man_whitebalance", "bool", 0, "Enable manual whitebalance", "", &parametersConfig::left_r_set_man_whitebalance)));
//#line 23 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.left_r_whitebalance = 1000;
//#line 23 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.left_r_whitebalance = 12000;
//#line 23 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.left_r_whitebalance = 3300;
//#line 23 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("left_r_whitebalance", "int", 0, "Whitebalance", "", &parametersConfig::left_r_whitebalance)));
//#line 23 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("left_r_whitebalance", "int", 0, "Whitebalance", "", &parametersConfig::left_r_whitebalance)));
//#line 25 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.right_r_keep_preview_aspect_ratio = 0;
//#line 25 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.right_r_keep_preview_aspect_ratio = 1;
//#line 25 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.right_r_keep_preview_aspect_ratio = 1;
//#line 25 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("right_r_keep_preview_aspect_ratio", "bool", 0, "Keep preview aspect ratio", "", &parametersConfig::right_r_keep_preview_aspect_ratio)));
//#line 25 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("right_r_keep_preview_aspect_ratio", "bool", 0, "Keep preview aspect ratio", "", &parametersConfig::right_r_keep_preview_aspect_ratio)));
//#line 26 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.right_r_exposure = 1;
//#line 26 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.right_r_exposure = 33000;
//#line 26 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.right_r_exposure = 1000;
//#line 26 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("right_r_exposure", "int", 0, "Sensor exposure", "", &parametersConfig::right_r_exposure)));
//#line 26 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("right_r_exposure", "int", 0, "Sensor exposure", "", &parametersConfig::right_r_exposure)));
//#line 27 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.right_r_focus = 0;
//#line 27 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.right_r_focus = 255;
//#line 27 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.right_r_focus = 1;
//#line 27 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("right_r_focus", "int", 0, "Focus", "", &parametersConfig::right_r_focus)));
//#line 27 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("right_r_focus", "int", 0, "Focus", "", &parametersConfig::right_r_focus)));
//#line 28 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.right_r_iso = 100;
//#line 28 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.right_r_iso = 1600;
//#line 28 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.right_r_iso = 800;
//#line 28 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("right_r_iso", "int", 0, "Sensor iso", "", &parametersConfig::right_r_iso)));
//#line 28 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("right_r_iso", "int", 0, "Sensor iso", "", &parametersConfig::right_r_iso)));
//#line 29 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.right_r_set_man_exposure = 0;
//#line 29 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.right_r_set_man_exposure = 1;
//#line 29 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.right_r_set_man_exposure = 0;
//#line 29 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("right_r_set_man_exposure", "bool", 0, "Enable manual exposure", "", &parametersConfig::right_r_set_man_exposure)));
//#line 29 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("right_r_set_man_exposure", "bool", 0, "Enable manual exposure", "", &parametersConfig::right_r_set_man_exposure)));
//#line 30 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.right_r_set_man_focus = 0;
//#line 30 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.right_r_set_man_focus = 1;
//#line 30 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.right_r_set_man_focus = 0;
//#line 30 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("right_r_set_man_focus", "bool", 0, "Enable manual focus", "", &parametersConfig::right_r_set_man_focus)));
//#line 30 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("right_r_set_man_focus", "bool", 0, "Enable manual focus", "", &parametersConfig::right_r_set_man_focus)));
//#line 31 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.right_r_set_man_whitebalance = 0;
//#line 31 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.right_r_set_man_whitebalance = 1;
//#line 31 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.right_r_set_man_whitebalance = 0;
//#line 31 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("right_r_set_man_whitebalance", "bool", 0, "Enable manual whitebalance", "", &parametersConfig::right_r_set_man_whitebalance)));
//#line 31 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("right_r_set_man_whitebalance", "bool", 0, "Enable manual whitebalance", "", &parametersConfig::right_r_set_man_whitebalance)));
//#line 32 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.right_r_whitebalance = 1000;
//#line 32 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.right_r_whitebalance = 12000;
//#line 32 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.right_r_whitebalance = 3300;
//#line 32 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("right_r_whitebalance", "int", 0, "Whitebalance", "", &parametersConfig::right_r_whitebalance)));
//#line 32 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("right_r_whitebalance", "int", 0, "Whitebalance", "", &parametersConfig::right_r_whitebalance)));
//#line 34 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.rgb_r_keep_preview_aspect_ratio = 0;
//#line 34 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.rgb_r_keep_preview_aspect_ratio = 1;
//#line 34 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.rgb_r_keep_preview_aspect_ratio = 1;
//#line 34 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("rgb_r_keep_preview_aspect_ratio", "bool", 0, "Keep preview aspect ratio", "", &parametersConfig::rgb_r_keep_preview_aspect_ratio)));
//#line 34 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("rgb_r_keep_preview_aspect_ratio", "bool", 0, "Keep preview aspect ratio", "", &parametersConfig::rgb_r_keep_preview_aspect_ratio)));
//#line 35 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.rgb_r_exposure = 1;
//#line 35 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.rgb_r_exposure = 33000;
//#line 35 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.rgb_r_exposure = 1000;
//#line 35 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("rgb_r_exposure", "int", 0, "Sensor exposure", "", &parametersConfig::rgb_r_exposure)));
//#line 35 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("rgb_r_exposure", "int", 0, "Sensor exposure", "", &parametersConfig::rgb_r_exposure)));
//#line 36 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.rgb_r_focus = 0;
//#line 36 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.rgb_r_focus = 255;
//#line 36 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.rgb_r_focus = 1;
//#line 36 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("rgb_r_focus", "int", 0, "Focus", "", &parametersConfig::rgb_r_focus)));
//#line 36 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("rgb_r_focus", "int", 0, "Focus", "", &parametersConfig::rgb_r_focus)));
//#line 37 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.rgb_r_iso = 100;
//#line 37 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.rgb_r_iso = 1600;
//#line 37 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.rgb_r_iso = 800;
//#line 37 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("rgb_r_iso", "int", 0, "Sensor iso", "", &parametersConfig::rgb_r_iso)));
//#line 37 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("rgb_r_iso", "int", 0, "Sensor iso", "", &parametersConfig::rgb_r_iso)));
//#line 38 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.rgb_r_set_man_exposure = 0;
//#line 38 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.rgb_r_set_man_exposure = 1;
//#line 38 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.rgb_r_set_man_exposure = 0;
//#line 38 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("rgb_r_set_man_exposure", "bool", 0, "Enable manual exposure", "", &parametersConfig::rgb_r_set_man_exposure)));
//#line 38 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("rgb_r_set_man_exposure", "bool", 0, "Enable manual exposure", "", &parametersConfig::rgb_r_set_man_exposure)));
//#line 39 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.rgb_r_set_man_focus = 0;
//#line 39 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.rgb_r_set_man_focus = 1;
//#line 39 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.rgb_r_set_man_focus = 0;
//#line 39 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("rgb_r_set_man_focus", "bool", 0, "Enable manual focus", "", &parametersConfig::rgb_r_set_man_focus)));
//#line 39 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("rgb_r_set_man_focus", "bool", 0, "Enable manual focus", "", &parametersConfig::rgb_r_set_man_focus)));
//#line 40 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.rgb_r_set_man_whitebalance = 0;
//#line 40 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.rgb_r_set_man_whitebalance = 1;
//#line 40 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.rgb_r_set_man_whitebalance = 0;
//#line 40 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("rgb_r_set_man_whitebalance", "bool", 0, "Enable manual whitebalance", "", &parametersConfig::rgb_r_set_man_whitebalance)));
//#line 40 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<bool>("rgb_r_set_man_whitebalance", "bool", 0, "Enable manual whitebalance", "", &parametersConfig::rgb_r_set_man_whitebalance)));
//#line 41 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __min__.rgb_r_whitebalance = 1000;
//#line 41 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __max__.rgb_r_whitebalance = 12000;
//#line 41 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __default__.rgb_r_whitebalance = 3300;
//#line 41 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      camera.abstract_parameters.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("rgb_r_whitebalance", "int", 0, "Whitebalance", "", &parametersConfig::rgb_r_whitebalance)));
//#line 41 "/tmp/binarydeb/ros-noetic-depthai-ros-driver-2.9.0/cfg/parameters.cfg"
      __param_descriptions__.push_back(parametersConfig::AbstractParamDescriptionConstPtr(new parametersConfig::ParamDescription<int>("rgb_r_whitebalance", "int", 0, "Whitebalance", "", &parametersConfig::rgb_r_whitebalance)));
//#line 124 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      camera.convertParams();
//#line 124 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.groups.push_back(parametersConfig::AbstractGroupDescriptionConstPtr(new parametersConfig::GroupDescription<parametersConfig::DEFAULT::CAMERA, parametersConfig::DEFAULT>(camera)));
//#line 124 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __group_descriptions__.push_back(parametersConfig::AbstractGroupDescriptionConstPtr(new parametersConfig::GroupDescription<parametersConfig::DEFAULT::CAMERA, parametersConfig::DEFAULT>(camera)));
//#line 246 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      Default.convertParams();
//#line 246 "/opt/ros/noetic/lib/python3/dist-packages/dynamic_reconfigure/parameter_generator_catkin.py"
      __group_descriptions__.push_back(parametersConfig::AbstractGroupDescriptionConstPtr(new parametersConfig::GroupDescription<parametersConfig::DEFAULT, parametersConfig>(Default)));
//#line 369 "/opt/ros/noetic/share/dynamic_reconfigure/cmake/../templates/ConfigType.h.template"

      for (std::vector<parametersConfig::AbstractGroupDescriptionConstPtr>::const_iterator i = __group_descriptions__.begin(); i != __group_descriptions__.end(); ++i)
      {
        __description_message__.groups.push_back(**i);
      }
      __max__.__toMessage__(__description_message__.max, __param_descriptions__, __group_descriptions__);
      __min__.__toMessage__(__description_message__.min, __param_descriptions__, __group_descriptions__);
      __default__.__toMessage__(__description_message__.dflt, __param_descriptions__, __group_descriptions__);
    }
    std::vector<parametersConfig::AbstractParamDescriptionConstPtr> __param_descriptions__;
    std::vector<parametersConfig::AbstractGroupDescriptionConstPtr> __group_descriptions__;
    parametersConfig __max__;
    parametersConfig __min__;
    parametersConfig __default__;
    dynamic_reconfigure::ConfigDescription __description_message__;

    static const parametersConfigStatics *get_instance()
    {
      // Split this off in a separate function because I know that
      // instance will get initialized the first time get_instance is
      // called, and I am guaranteeing that get_instance gets called at
      // most once.
      static parametersConfigStatics instance;
      return &instance;
    }
  };

  inline const dynamic_reconfigure::ConfigDescription &parametersConfig::__getDescriptionMessage__()
  {
    return __get_statics__()->__description_message__;
  }

  inline const parametersConfig &parametersConfig::__getDefault__()
  {
    return __get_statics__()->__default__;
  }

  inline const parametersConfig &parametersConfig::__getMax__()
  {
    return __get_statics__()->__max__;
  }

  inline const parametersConfig &parametersConfig::__getMin__()
  {
    return __get_statics__()->__min__;
  }

  inline const std::vector<parametersConfig::AbstractParamDescriptionConstPtr> &parametersConfig::__getParamDescriptions__()
  {
    return __get_statics__()->__param_descriptions__;
  }

  inline const std::vector<parametersConfig::AbstractGroupDescriptionConstPtr> &parametersConfig::__getGroupDescriptions__()
  {
    return __get_statics__()->__group_descriptions__;
  }

  inline const parametersConfigStatics *parametersConfig::__get_statics__()
  {
    const static parametersConfigStatics *statics;

    if (statics) // Common case
      return statics;

    boost::mutex::scoped_lock lock(dynamic_reconfigure::__init_mutex__);

    if (statics) // In case we lost a race.
      return statics;

    statics = parametersConfigStatics::get_instance();

    return statics;
  }


}

#undef DYNAMIC_RECONFIGURE_FINAL

#endif // __PARAMETERSRECONFIGURATOR_H__
